package card_apple_account

import (
	"context"
	v1 "kami/api/card_info_apple/v1"
	"kami/api/commonApi"
	"kami/internal/model"
	"kami/internal/service"
	"testing"

	_ "github.com/gogf/gf/contrib/drivers/mysql/v2"
	"github.com/gogf/gf/v2/os/gctx"
	"github.com/gogf/gf/v2/os/glog"
)

func Test_sAppleAccount_CheckWalletHistoryNormal(t *testing.T) {
	service := New()
	service.CheckWalletHistoryNormal(gctx.New(), "215e02c4ea2441ac80c00c7f168f7dbe")
}

func Test_sAppleAccount_GetWalletHistory(t *testing.T) {
	_, result, _ := service.AppleAccount().GetWalletHistory(context.Background(), model.CardAppleAccountHistoryQueryInput{
		CardHistoryInfoListReq: &v1.CardHistoryInfoListReq{
			CommonPageReq: commonApi.CommonPageReq{
				Current:  1,
				PageSize: 20,
			},
			AccountName: "",
			AccountId:   "9ed90ea7893e4165bae2143930934e47",
		},
		UserId: "c3e3582d1b934a48833e3bc3f25c3e94",
	})
	glog.Info(context.Background(), result)
}
